//
//  common_snippets.h
//  inv2lafit
//
//  Created by Rafael Guerrero on 10/4/12.
//  Copyright (c) 2012 University of Texas. All rights reserved.
//


#define SA_INITIALIZE {\
iter = 1000;\
ftol = 0.0001;\
temperature= 10;\
tmp_step=0.65;}

#define WHICH_MODEL(x) {\
switch (x) {\
case 1:\
cout << "We'll do model 1: SS_1\n";\
ss<<"SS1_ML_"; \
funcpointer= &ssone;\
break;\
case 2:\
cout << "We'll do model 2: SS_2\n";\
ss<<"SS2_ML_"; \
funcpointer= &sstwo;\
break;\
case 3:\
cout << "We'll do model 3: SS_3\n";\
ss<<"SS3_ML_"; \
funcpointer= &ssthree;\
break;\
case 4:\
cout << "We'll do model 4: SS_3_F0\n";\
ss<<"SS3_F0_ML_"; \
funcpointer= &CthreeFnot;\
break;\
case 5:\
cout << "We'll do model 5: SS_3_FRegion\n";\
ss<<"SS3_FR_ML_"; \
funcpointer= &ss3_fr;\
break;\
case 6:\
cout << "We'll do model 6: SS_3_FGeno\n";\
ss<<"SS3_FG_ML_"; \
funcpointer= &ss3_FG;\
break;\
case 7:\
cout << "We'll do model 7: C_1\n";\
ss<<"C_1_ML_"; \
funcpointer= &cone;\
break;\
case 8:\
cout << "We'll do model 8: C_2\n";\
ss<<"C_2_ML_"; \
funcpointer= &ctwo;\
break;\
case 9:\
cout << "We'll do model 9: C_3\n";\
ss<<"C_3_ML_"; \
funcpointer= &cthree;\
break;\
case 10:\
ss<<"C_3_F0_ML_"; \
cout << "We'll do model 10: C_3_F0\n";\
funcpointer= &CthreeFnot;\
break;\
default:\
cout << "No model specified. Exiting(1)";return 1;\
}\
}

